#include <gdsnstd.h>
#include <timlib.h>

UBYTE _dmsize[12] = { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };

#if VAXC

_SUB	STDTIME ST_GetCurrentTime()
{

	ULONG sysret;
	UWORD numret[7];
	STDTIME rettime;
	WORD i,ct,mon,day;

	sysret = SYS$NUMTIM(numret,0);	/* Get current time */

	if (sysret!=SS$_NORMAL) {
		printf("ST_GetCurrentTime SYS$NUMTIM failed\n");
	}

	rettime.year = numret[0];
	mon = numret[1];
	day = numret[2];
	rettime.hour = numret[3];
	rettime.minute = numret[4];
	rettime.second = numret[5];
	rettime.msec = numret[6] * 10;

	_dmsize[1] = _tleap(rettime.year)?29:28;

	ct=0;
	for (i=0; i<(mon-1); i++) ct+=_dmsize[i];
	ct += day;

	rettime.day = ct;

	return(rettime);

}

#else

#include <time.h>

STDTIME ST_GetCurrentTime()
{

	struct tm *intime;
	STDTIME rettime;
	WORD i,ct,mon,day;

	intime = gmtime();

	rettime.year = intime->tm_year + 1900;
	mon = intime->tm_mon + 1;
	day = intime->tm_mday;
	rettime.hour = intime->tm_hour;
	rettime.minute = intime->tm_min;
	rettime.second = intime->tm_sec;
	rettime.msec = 0;

	_dmsize[1] = _tleap(rettime.year)?29:28;

	ct=0;
	for (i=0; i<(mon-1); i++) ct+=_dmsize[i];
	ct += day;

	rettime.day = ct;

	return(rettime);

}

#endif
