#include <gdsnstd.h>
#include <timlib.h>

static UBYTE _ddata[60];

UBYTE *FormNames[12] = {
	"January",
	"February",
	"March",
	"April",
	"May",
	"June",
	"July",
	"August",
	"September",
	"October",
	"November",
	"December" };

UBYTE *ShortNames[12] = {
	"Jan",
	"Feb",
	"Mar",
	"Apr",
	"May",
	"Jun",
	"Jul",
	"Aug",
	"Sep",
	"Oct",
	"Nov",
	"Dec" };

_SUB	UBYTE *ST_PrintCalDate(STDTIME odate,BOOL longfmt)
{

	LONG jdate;
	WORD mon,day,jday,jyr;

	jdate = ST_GetJulian(odate);

	ST_CnvJulToCal(jdate,&jyr,&mon,&day,&jday);

	if (longfmt)
		sprintf(_ddata,"%s %d, %d",FormNames[mon-1],day,jyr);
	else	sprintf(_ddata,"%d-%s-%d",day,ShortNames[mon-1],jyr);


	return(_ddata);

}
